# $Revision: 1.9 $, $Date: 2012/01/14 21:07:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Socket
%define	pnam	GetAddrInfo
Summary:	Socket::GetAddrInfo - RFC 2553's getaddrinfo and getnameinfo functions
Summary(pl.UTF-8):	Socket::GetAddrInfo - funkcje getaddrinfo i getnameinfo zgodne z RFC 2553
Name:		perl-Socket-GetAddrInfo
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Socket/PEVANS/Socket-GetAddrInfo-%{version}.tar.gz
# Source0-md5:	ec28c0139f5694ca982f392c7c699128
URL:		http://search.cpan.org/dist/Socket-GetAddrInfo/
BuildRequires:	perl-ExtUtils-CChecker >= 0.06
%{?with_tests:BuildRequires:	perl-Test-Pod}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Core.pm impl requires Socket 1.93 (newer than in perl 5.12.3) - skip it, XS impl will be used instead
%define		_noautoreqfiles	%{perl_vendorarch}/Socket/GetAddrInfo/Core.pm

%description
The RFC 2553 functions getaddrinfo and getnameinfo provide an
abstracted way to convert between a pair of host name/service name and
socket addresses, or vice versa. getaddrinfo converts names into a set
of arguments to pass to the socket() and connect() syscalls, and
getnameinfo converts a socket address back into its host name/service
name pair.

%description -l pl.UTF-8
Zgodne z RFC 2553 funkcje getaddrinfo i getnameinfo udostępniają
abstrakcyjne metody do konwersji pary nazw hosta i usługi na adresy
gniazda i z powrotem. getaddrinfo konwertuje nazwy na zbiór argumentów
do przekazania funkcjom socket() i connect(), natomiast getnameinfo
przekształca adres gniazda z powrotem na parę nazw hosta i usługi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/getaddrinfo
%attr(755,root,root) %{_bindir}/getnameinfo
%dir %{perl_vendorarch}/Socket
%{perl_vendorarch}/Socket/GetAddrInfo.pm
%dir %{perl_vendorarch}/Socket/GetAddrInfo
%{perl_vendorarch}/Socket/GetAddrInfo/*.pm
%dir %{perl_vendorarch}/auto/Socket
%dir %{perl_vendorarch}/auto/Socket/GetAddrInfo
%{perl_vendorarch}/auto/Socket/GetAddrInfo/GetAddrInfo.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Socket/GetAddrInfo/GetAddrInfo.so
%{_mandir}/man1/getaddrinfo.1p*
%{_mandir}/man1/getnameinfo.1p*
%{_mandir}/man3/Socket::GetAddrInfo*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Socket-GetAddrInfo.spec,v $
Revision 1.9  2012/01/14 21:07:38  zbyniu
- up to 0.21

Revision 1.8  2011/03/06 19:45:54  qboosh
- omit dependencies from Core impl (not satisfied by current stable perl, i.e. 5.12.3),
  so package is installable now and XS impl will be used

Revision 1.7  2011/03/06 19:33:21  qboosh
- shortened description (internal details not needed here), added pl

Revision 1.6  2011/02/25 18:27:12  sparky
- updated to: 0.20

Revision 1.5  2011/02/25 18:03:47  sparky
- BR: perl-Test-Pod

Revision 1.4  2010/06/06 08:41:55  arekm
- release 2

Revision 1.3  2010/03/11 18:19:13  amateja
- updated to 0.15
- added BR perl-ExtUtils-CChecker

Revision 1.2  2009/10/27 20:29:31  amateja
- added missing %dirs in %files section
- release 2

Revision 1.1  2009/10/27 19:38:20  amateja
- initial
